<<<<<<< HEAD ======= InvertedTunnelBase | SDF-2D - v0.7.6 >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### Hierarchy

- EmptyDrawable
  - InvertedTunnelBase

## Index

### Constructors

- constructor

### Properties

- from
- fromRadius
- to
- toRadius
- descriptor

### Methods

- getObjectToSerialize
- minDistance

## Constructors

### constructor

- new InvertedTunnelBase(from: vec2, to: vec2, fromRadius: number, toRadius: number): InvertedTunnelBase

- <<<<<<< HEAD
  - Defined in drawables/shapes/inverted-tunnel-factory.ts:11
  =======
  - Defined in drawables/shapes/inverted-tunnel-factory.ts:11
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### from: vec2

  - ##### to: vec2

  - ##### fromRadius: number

  - ##### toRadius: number

  #### Returns InvertedTunnelBase

## Properties

### Readonly from

from: vec2

<<<<<<< HEAD
- Defined in drawables/shapes/inverted-tunnel-factory.ts:13
=======
- Defined in drawables/shapes/inverted-tunnel-factory.ts:13
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### Readonly fromRadius

fromRadius: number

<<<<<<< HEAD
- Defined in drawables/shapes/inverted-tunnel-factory.ts:15
=======
- Defined in drawables/shapes/inverted-tunnel-factory.ts:15
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### Readonly to

to: vec2

<<<<<<< HEAD
- Defined in drawables/shapes/inverted-tunnel-factory.ts:14
=======
- Defined in drawables/shapes/inverted-tunnel-factory.ts:14
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### Readonly toRadius

toRadius: number

<<<<<<< HEAD
- Defined in drawables/shapes/inverted-tunnel-factory.ts:16
=======
- Defined in drawables/shapes/inverted-tunnel-factory.ts:16
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

### Static Readonly descriptor

descriptor: DrawableDescriptor

Inherited from EmptyDrawable.descriptor

Overrides Drawable.descriptor

<<<<<<< HEAD
- Defined in drawables/empty-drawable.ts:11
=======
- Defined in drawables/empty-drawable.ts:11
>>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

## Methods

### Protected getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- Inherited from EmptyDrawable.getObjectToSerialize

  Overrides Drawable.getObjectToSerialize

  <<<<<<< HEAD
  - Defined in drawables/empty-drawable.ts:19
  =======
  - Defined in drawables/empty-drawable.ts:19
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### transform2d: mat2d

  - ##### transform1d: number

  #### Returns any

### minDistance

- minDistance(target: vec2): number

- Inherited from EmptyDrawable.minDistance

  Overrides Drawable.minDistance

  <<<<<<< HEAD
  - Defined in drawables/empty-drawable.ts:14
  =======
  - Defined in drawables/empty-drawable.ts:14
  >>>>>>> 2454f2f37d581c69f5d0c844a028712ddbc0a1cc

  #### Parameters

  - ##### target: vec2

  #### Returns number